about summary refs log tree commit diff
path: root/test/lps-roundtrip.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2022-03-27 23:20:22 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2022-03-27 23:20:22 +0000
commit772c4792d998deb70f1719c1a2ad82f2defde5f0 (patch)
treef512ff95f5e767aa5bb1655caa0aaf87063a624a /test/lps-roundtrip.test
parentf336dfc59346a26a045f7e0df0ecba32d904c55e (diff)
downloadnetpbm-mirror-772c4792d998deb70f1719c1a2ad82f2defde5f0.tar.gz
netpbm-mirror-772c4792d998deb70f1719c1a2ad82f2defde5f0.tar.xz
netpbm-mirror-772c4792d998deb70f1719c1a2ad82f2defde5f0.zip
Promote Development release to Advanced
git-svn-id: http://svn.code.sf.net/p/netpbm/code/advanced@4318 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/lps-roundtrip.test')
-rwxr-xr-xtest/lps-roundtrip.test16
1 files changed, 12 insertions, 4 deletions
diff --git a/test/lps-roundtrip.test b/test/lps-roundtrip.test
index 71cd354d..78350d71 100755
--- a/test/lps-roundtrip.test
+++ b/test/lps-roundtrip.test
@@ -1,4 +1,4 @@
-#! /bin/bash
+#! /bin/sh
 # This script tests: pbmtolps pstopnm
 # Also requires: gs pamdepth pamscale pnmcrop pnmpsnr pamfile
 
@@ -9,17 +9,25 @@
 
 tmpdir=${tmpdir:-/tmp}
 test_pgm=${tmpdir}/test.pgm
+test_ps=${tmpdir}/test.ps
 
-echo "Test.  Should print match"
+echo "Test 1.  Should print match"
 
 xysize=$(pamfile -size testgrid.pbm | awk '{print "-xsize="$1,"-ysize="$2}')
 pamdepth 255 testgrid.pbm > ${test_pgm}
   
-pbmtolps -dpi 72 testgrid.pbm | \
+pbmtolps -dpi 72 testgrid.pbm | tee ${test_ps} | \
     pstopnm -dpi $((72*12)) -stdout -pgm | \
     pnmcrop -white | pamscale ${xysize}  | \
     pnmpsnr -target=30 - ${test_pgm}
-  
+
     # ghostscript version 8.71: pnmpsnr lumina 33.14dB
+
+
+echo "Test 2.  Should print 0"
+
+pbmtolps -dpi 72 < testgrid.pbm | sed 's/noname/testgrid.pbm/' | \
+    cmp -s ${test_ps} -
+    echo $?
   
 rm ${test_pgm}